Open Lighting Architecture: ola::plugin::usbpro::RobeWidgetImpl Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ola::plugin::usbpro::RobeWidgetImpl Class Reference
Inheritance diagram for ola::plugin::usbpro::RobeWidgetImpl:

## Public Member Functions
| RobeWidgetImpl (ola::io::ConnectedDescriptor *descriptor, const ola::rdm::UID &uid)
void | Stop ()
bool | SendDMX (const DmxBuffer &buffer)
void | SendRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *on_complete)
void | RunFullDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
void | RunIncrementalDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
bool | ChangeToReceiveMode ()
void | SetDmxCallback (Callback0< void > *callback)
const DmxBuffer & | FetchDMX ()
void | MuteDevice (const ola::rdm::UID &target, MuteDeviceCallback *mute_complete)
void | UnMuteAll (UnMuteDeviceCallback *unmute_complete)
void | Branch (const ola::rdm::UID &lower, const ola::rdm::UID &upper, BranchCallback *callback)
Public Member Functions inherited from ola::plugin::usbpro::BaseRobeWidget
| BaseRobeWidget (ola::io::ConnectedDescriptor *descriptor)
ola::io::ConnectedDescriptor * | GetDescriptor () const
bool | SendMessage (uint8_t label, const uint8_t *data, unsigned int length) const

## Static Public Attributes
static const int | DMX_FRAME_DATA_SIZE = DMX_UNIVERSE_SIZE + 4
Static Public Attributes inherited from ola::plugin::usbpro::BaseRobeWidget
static const uint8_t | CHANNEL_A_OUT = 0x06
static const uint8_t | INFO_REQUEST = 0x14
static const uint8_t | INFO_RESPONSE = 0x15
static const uint8_t | RDM_DISCOVERY = 0x12
static const uint8_t | RDM_DISCOVERY_RESPONSE = 0x13
static const uint8_t | RDM_REQUEST = 0x10
static const uint8_t | RDM_RESPONSE = 0x11
static const uint8_t | UID_REQUEST = 0x24
static const uint8_t | UID_RESPONSE = 0x25
static const uint8_t | DMX_IN_REQUEST = 0x04
static const uint8_t | DMX_IN_RESPONSE = 0x05

## Additional Inherited Members
Public Types inherited from ola::rdm::DiscoveryTargetInterface
typedef ola::BaseCallback1< void, bool > | MuteDeviceCallback
| The callback run when a mute command completes.
typedef ola::BaseCallback0< void > | UnMuteDeviceCallback
| The callback run when an unmute command completes.
typedef ola::BaseCallback2< void, const uint8_t *, unsigned int > | BranchCallback
| The callback run when a DUB command completes.

## Member Function Documentation

## ◆ Branch()

void ola::plugin::usbpro::RobeWidgetImpl::Branch | ( | const ola::rdm::UID & | lower,
|  | const ola::rdm::UID & | upper,
|  | BranchCallback * | callback )
| virtual

Send a Discovery Unique Branch

Implements ola::rdm::DiscoveryTargetInterface.

## ◆ ChangeToReceiveMode()

bool ola::plugin::usbpro::RobeWidgetImpl::ChangeToReceiveMode | ( |  | ) |

Change to receive mode.

## ◆ MuteDevice()

void ola::plugin::usbpro::RobeWidgetImpl::MuteDevice | ( | const ola::rdm::UID & | target,
|  | MuteDeviceCallback * | mute_complete )
| virtual

Mute a responder

Parameters

  target | the UID to mute
  mute_complete | the callback to run once the mute request completes.

Implements ola::rdm::DiscoveryTargetInterface.

## ◆ RunFullDiscovery()

void ola::plugin::usbpro::RobeWidgetImpl::RunFullDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | callback | ) |
| virtual

Perform full discovery.

Implements ola::rdm::DiscoverableRDMControllerInterface.

## ◆ RunIncrementalDiscovery()

void ola::plugin::usbpro::RobeWidgetImpl::RunIncrementalDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | callback | ) |
| virtual

Perform incremental discovery.

Implements ola::rdm::DiscoverableRDMControllerInterface.

## ◆ SendDMX()

bool ola::plugin::usbpro::RobeWidgetImpl::SendDMX | ( | const DmxBuffer & | buffer | ) |

Send DMX

Parameters

  buffer | the DMX data

## ◆ SendRDMRequest()

void ola::plugin::usbpro::RobeWidgetImpl::SendRDMRequest | ( | ola::rdm::RDMRequest * | request,
|  | ola::rdm::RDMCallback * | on_complete )
| virtual

Send a RDM Message

Implements ola::rdm::RDMControllerInterface.

## ◆ Stop()

void ola::plugin::usbpro::RobeWidgetImpl::Stop | ( |  | ) |
| virtual

Stop the widget.

Implements ola::plugin::usbpro::SerialWidgetInterface.

## ◆ UnMuteAll()

void ola::plugin::usbpro::RobeWidgetImpl::UnMuteAll | ( | UnMuteDeviceCallback * | unmute_complete | ) |
| virtual

Unmute all responders

Parameters

  unmute_complete | the callback to run once the unmute request completes.

Implements ola::rdm::DiscoveryTargetInterface.

The documentation for this class was generated from the following files:

- plugins/usbpro/RobeWidget.h
- plugins/usbpro/RobeWidget.cpp